aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPhilip Li <philip.li@intel.com>2019-08-01 23:07:02 +0800
committerPhilip Li <philip.li@intel.com>2019-08-01 23:07:02 +0800
commit0b327f57b23c713d950eab231c6493bc5ad0655a (patch)
tree727ad9add48a9e6f7db1f2d8abd5a4bada045d9c
parent39fbf8a98844c07b6b9d8d9a0f4aa068d208c871 (diff)
downloadlkp-tests-0b327f57b23c713d950eab231c6493bc5ad0655a.tar.gz
lib/result.sh: use /tmp as tmp file dir
Signed-off-by: Philip Li <philip.li@intel.com>
-rwxr-xr-xlib/result.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/lib/result.sh b/lib/result.sh
index 80d6e35a..1154f47a 100755
--- a/lib/result.sh
+++ b/lib/result.sh
@@ -73,9 +73,9 @@ cleanup_path_record_from_patterns()
fi
done
- [[ -d "/lkp/.paths/" ]] || mkdir "/lkp/.paths/" || return
- dot_temp_file=$(mktemp -p /lkp/.paths/ .tmpXXXXXX) || return
- match_temp_file=$(mktemp -p /lkp/.paths/ .tmpXXXXXX) || return
+ [[ -d "/tmp" ]] || mkdir "/tmp" || return
+ dot_temp_file=$(mktemp -p /tmp lkp-result-cleanup-path.tmpXXXXXX) || return
+ match_temp_file=$(mktemp -p /tmp lkp-result-cleanup-path.tmpXXXXXX) || return
chmod 664 $dot_temp_file || return
for path_file in $(grep -l "$pattern" /lkp/paths/????-??-??-* /lkp/paths/.????-??-??-*)
@@ -104,8 +104,8 @@ cleanup_path_record_from_result_root()
path=$(expand_tag_to_commit $path)
cmd="/${path//\//\\/}/"
- [[ -d "/lkp/.paths/" ]] || mkdir "/lkp/.paths/" || return
- dot_temp_file=$(mktemp -p /lkp/.paths/ .tmpXXXXXX)
+ [[ -d "/tmp" ]] || mkdir "/tmp" || return
+ dot_temp_file=$(mktemp -p /tmp lkp-result-cleanup-path.tmpXXXXXX)
chmod 664 $dot_temp_file || return
if [[ $(find /lkp/paths -name ".????-??-??-*" 2>/dev/null) ]]; then